      real*8 function second()
      implicit none
      real*4 time
      call cpu_time(time)  ! f95 standard?
      second=time
!      real*4 etime,tarray(2)
!      second = etime(tarray)
      return
      end
